#ifndef RecoTrack_h
#define RecoTrack_h
#include <vector>
#include "TMatrixD.h"
//Reconstructed track
class RecoTrack{
 public:
  RecoTrack(){};
  RecoTrack(TMatrixD p , TMatrixD c, std::vector<int> h) {
    par.ResizeTo(p);cov.ResizeTo(c);
    par=p; cov=c;
    for(int i=0; i<(int)h.size(); i++) hits.push_back(h[i]);
    chi2=999999.; ndf=0;
};
  TMatrixD  GetPar(){return par;};
  TMatrixD  GetCov(){return cov;};
  std::vector<int> GetHits(){return hits;};
  float GetChi2(){return chi2;};
  int GetNdf(){return ndf;};
  void  SetPar(TMatrixD p){par.ResizeTo(p); par=p;};
  void  SetCov(TMatrixD c){cov.ResizeTo(c); cov=c;};
  void  SetHits(std::vector<int> h){hits=h;};
  void  SetChi2(float c){chi2=c;};
  void  SetNdf(int n){ndf=n;};
 private:
  TMatrixD par; 
  TMatrixD cov; 
  std::vector<int> hits;
  float chi2;
  int ndf;
};
#endif



